Package com.orchestranetworks.schema.types.dataspace

# Enum Class DataspaceSet.DataspaceChildrenPolicy

java.lang.Object
java.lang.Enum<DataspaceSet.DataspaceChildrenPolicy>
com.orchestranetworks.schema.types.dataspace.DataspaceSet.DataspaceChildrenPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<DataspaceSet.DataspaceChildrenPolicy>`, `Constable`

Enclosing interface:
  DataspaceSet

public static enum DataspaceSet.DataspaceChildrenPolicy extends Enum<DataspaceSet.DataspaceChildrenPolicy>
Inclusion policies for the children of a current dataspace in a current subset.

Since:
  5.8.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INCLUDE_ALL_BRANCH_DESCENDANTS`
  All the branch descendants of the current dataspace will be included.
  `INCLUDE_ALL_DESCENDANTS`
  All the descendants of the current dataspace will be included.
  `INCLUDE_ALL_SNAPSHOT_DESCENDANTS`
  All the snapshot descendants of the current dataspace will be included.
  `INCLUDE_BRANCH_CHILDREN`
  Only direct branch children are automatically included in the result set.
  `INCLUDE_SNAPSHOT_CHILDREN`
  Only direct snapshot children are automatically included in the result set.
  `NONE`
  No child dataspace will be included.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `format()`
  Returns the code associated with this policy.
  `UserMessage`
  `getLabel()`
  Returns the policy label.
  `static DataspaceSet.DataspaceChildrenPolicy`
  `parseType(String aValue)`
  Parses a string value and returns the associated children policy.
  `static DataspaceSet.DataspaceChildrenPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataspaceSet.DataspaceChildrenPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final DataspaceSet.DataspaceChildrenPolicy NONE
    No child dataspace will be included.

  - ### INCLUDE_ALL_DESCENDANTS

    public static final DataspaceSet.DataspaceChildrenPolicy INCLUDE_ALL_DESCENDANTS
    All the descendants of the current dataspace will be included.

  - ### INCLUDE_ALL_BRANCH_DESCENDANTS

    public static final DataspaceSet.DataspaceChildrenPolicy INCLUDE_ALL_BRANCH_DESCENDANTS
    All the branch descendants of the current dataspace will be included.

  - ### INCLUDE_ALL_SNAPSHOT_DESCENDANTS

    public static final DataspaceSet.DataspaceChildrenPolicy INCLUDE_ALL_SNAPSHOT_DESCENDANTS
    All the snapshot descendants of the current dataspace will be included.

  - ### INCLUDE_BRANCH_CHILDREN

    public static final DataspaceSet.DataspaceChildrenPolicy INCLUDE_BRANCH_CHILDREN
    Only direct branch children are automatically included in the result set.

    If the current dataspace is an initial snapshot, includes the associated branch (other snapshots do not have children). If the current dataspace is a branch, includes all the branches associated to the initial snapshots directly under this branch.

  - ### INCLUDE_SNAPSHOT_CHILDREN

    public static final DataspaceSet.DataspaceChildrenPolicy INCLUDE_SNAPSHOT_CHILDREN
    Only direct snapshot children are automatically included in the result set.

    If the current dataspace is a branch, includes the snapshots that are the direct children of this branch. If the current dataspace is a snapshot, includes the snapshots that are the direct children of its associated branch.

- ## Method Details

  - ### values

    public static DataspaceSet.DataspaceChildrenPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataspaceSet.DataspaceChildrenPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### parseType

    public static DataspaceSet.DataspaceChildrenPolicy parseType(String aValue)
    Parses a string value and returns the associated children policy.
    Parameters:
      `aValue` - the children policy as a literal string

  - ### getLabel

    public UserMessage getLabel()
    Returns the policy label.

  - ### format

    public String format()
    Returns the code associated with this policy.